Bug 444251 - pavucontrol - up/down and mouse scroll wheel opposite direction to expected
pavucontrol - up/down and mouse scroll wheel opposite direction to expected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pavucontrol (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened
: 449269 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 21:59 EDT by David Timms
Modified: 2011-06-27 09:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1119286 (view as bug list)
Environment:
Last Closed: 2011-06-27 09:57:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Timms 2008-04-25 21:59:56 EDT
Description of problem:
Adjusting any of the levels with the mouse wheel changes the level in the
opposite direction to what would be considered normal.

Version-Release number of selected component (if applicable):
pavucontrol-0.9.6-1.fc9.i386

How reproducible:
on both F8 and rawhide.

Steps to Reproduce:
1. pavucontrol
2. place mouse cursor over either channel level control for any element.
3. mouse wheel rotate down {ie equivalent to web page scroll down}.
     result: volume is turned up {increased}.
4. mouse wheel rotate up
     result: volume is turned down {decreased}.

Expected results:
scroll up -> vol up
scroll down -> vol down

Additional info:
The other level control tools {speaker icon at the top right of the desktop, and
the gnome-mixer} use the scroll up -> volume up logic.
Comment 1 David Timms 2008-04-27 01:23:54 EDT
While the left and right arrows make sense, then up and down arrows also adjust
in direction down and up respectively.
Comment 2 Bug Zapper 2008-05-14 06:12:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Lennart Poettering 2008-06-04 07:16:55 EDT
*** Bug 449269 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2009-11-18 07:28:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:07:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 David Timms 2009-12-18 03:10:15 EST
The issue continues to exist in pavucontrol-0.9.10-1.fc12.i686.

Unfortunately my attempts to fix led nowhere, yet this is a silly usability problem; compare rolling the mouse wheel over the notification speaker icon, which at least adjusts the level in the expected direction.
Comment 7 Bug Zapper 2010-11-04 07:56:16 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 David Timms 2010-11-06 21:53:49 EDT
(In reply to comment #6)
> The issue continues to exist in pavucontrol-0.9.10-1.fc12.i686.
> 
> Unfortunately my attempts to fix led nowhere, yet this is a silly usability
> problem; compare rolling the mouse wheel over the notification speaker icon,
> which at least adjusts the level in the expected direction.

pavucontrol-0.9.10-1.fc13.x86_64 exhibits this behaviour as well.
The newer Sound Preferences dialog gets the scroll direction to action the right way around.
Comment 9 Bug Zapper 2011-06-02 14:33:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 09:57:54 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.